Não é possível usar um conjunto de ferramentas Primavera ou Eclipse com plugin Spring! Vários erros no início

votos
0

Eu estou tentando aprender Primavera e eu ter sido 4 dias tentando usar o Spring Tool Suite sem sucesso.

Meu SO é MacOs 10,9. Eu acho que eu instalei o JDK x64 e o JRE x64. Mas eu não sei como verificar isso.

O STS é a mais recente ea versão x64.

Eu uma nova instalação do STS e no início eu tenho o seguinte erro Não é possível ler o feed RSS. Ok, eu não me importo sobre o feed rss. Mas então, eu tento criar um novo aplicativo Spring MVC com o Wizzard. Eu só selecionar Primavera Projeto MVC e dar-lhe um pacote de partida e eu tenho 3 exceções.

1:

Errors occurred during the build.
Errors running builder 'Maven Project Builder' on project 'springMVC2'.
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)

2: o mesmo que 1

3:

Error during build of project [springMVC2]
Errors occurred during the build.
Errors running builder 'Maven Project Builder' on project 'springMVC2'.
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)

Por favor, qualquer ajuda para fazê-lo funcionar. Estou desesperating. não pode sequer começar a jogar com ele. Eu tentei com kepler eclipse e plug-in spring, mas eu tenho o mesmo erro.

Publicado 23/11/2013 em 21:53
fonte usuário
Em outras línguas...                            


1 respostas

Não é possível usar um conjunto de ferramentas Primavera ou Eclipse com plugin Spring! Vários erros no início

votos
0

Eu estou tentando aprender Primavera e eu ter sido 4 dias tentando usar o Spring Tool Suite sem sucesso.

Meu SO é MacOs 10,9. Eu acho que eu instalei o JDK x64 e o JRE x64. Mas eu não sei como verificar isso.

O STS é a mais recente ea versão x64.

Eu uma nova instalação do STS e no início eu tenho o seguinte erro "Não é possível ler o feed RSS". Ok, eu não me importo sobre o feed rss. Mas então, eu tento criar um novo aplicativo Spring MVC com o Wizzard. Eu só selecionar Primavera Projeto MVC e dar-lhe um pacote de partida e eu tenho 3 exceções.

1:

Errors occurred during the build.
Errors running builder 'Maven Project Builder' on project 'springMVC2'.
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)

2: o mesmo que 1

3:

Error during build of project [springMVC2]
Errors occurred during the build.
Errors running builder 'Maven Project Builder' on project 'springMVC2'.
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Could not calculate build plan: Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)
Failed to parse plugin descriptor for org.apache.maven.plugins:maven-war-plugin:2.1.1 (/Users/Carlos/.m2/repository/org/apache/maven/plugins/maven-war-plugin/2.1.1/maven-war-plugin-2.1.1.jar): invalid LOC header (bad signature)

Por favor, qualquer ajuda para fazê-lo funcionar. Estou desesperating. não pode sequer começar a jogar com ele. Eu tentei com kepler eclipse e plug-in spring, mas eu tenho o mesmo erro.

Respondeu 23/11/2013 em 21:53
fonte usuário

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more